﻿using Microsoft.Extensions.Configuration;
using System.IO;
using System;
using System.Data.Common;

namespace Correo.Extensions
{
    public static class SqliteExtensions
    {
        internal static string GetDatabasePath(this IConfiguration configuration)
        {
            var workspace = configuration.GetValue<string>("Workspace");
            var connectionString = configuration.GetConnectionString("DatabaseConnection");

            if (string.IsNullOrEmpty(workspace))
                throw new Exception($"Workspace path is empty! Check 'Workspace' parameter.");

            var builder = new DbConnectionStringBuilder
            {
                ConnectionString = connectionString
            };

            var dataSource = builder["Data Source"].ToString();
            var databasePath = dataSource.Replace("{Workspace}", workspace);
            return databasePath;
        }
    }
}
